package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpShopSetting;

/**
 * <p>
 * 商铺开关设置 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-09
 */
public interface ITpShopSettingService extends IService<TpShopSetting> {
	
	/**
	 * 改变商户配置
	 * @param userElement
	 * @param jsonString
	 * @return
	 */
	ResponseBean changeShopSetting(TaUser userElement, String jsonString);
}
